Name:		kbackup
Version:	0.6.4
Release:	1%{?dist}
Summary:	Back up your data in a simple, user friendly way
Summary(fr):	Sauvegarder vos données de manière simple et conviviale

Group:		Applications/Archiving
License:	GPLv2
Url:		http://www.kde-apps.org/content/show.php?content=44998
Source:		http://kde-apps.org/CONTENT/content-files/44998-%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}.fr.po.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	desktop-file-utils, gettext, kdelibs-devel

%description
KBackup is a program that lets you back up any directories or files,
whereby it uses an easy to use directory tree to select the things to back up.
The program was designed to be very simple in its use
so that it can be used by non-computer experts.
The storage format is the well known TAR format, whereby the data
is still stored in compressed format (bzip2 or gzip).

%description -l fr
KBackup est un programme qui vous permet de sauvegarder n'importe quels
fichiers ou répertoires que vous pouvez sélectionner dans une arborescence.
Il a été conçu pour être facile d'utilisation et est donc à la portée des
non-initiés à l'informatique.
Le format de stockage est le très connu format TAR, où les données sont
stockées compressées (bzip2 ou gzip).

%prep
%setup -q
%patch0 -p0

%build
%cmake_kde4
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}

desktop-file-install --vendor="" \
  --dir %{buildroot}%{_datadir}/applications/kde4 \
  --add-category "Utility" \
  --add-category "X-KDE-Utilities-File" \
  --remove-category "X-SuSE-Backup" \
  --remove-category "X-MandrivaLinux-System-Archiving-Backup" \
  --remove-category "System" \
  src/%{name}.desktop

%find_lang %{name}

%clean
%{__rm} -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :
update-mime-database %{_datadir}/mime &> /dev/null || :

%postun
if [ $1 -eq 0 ]
then
  touch --no-create %{_datadir}/icons/hicolor || :
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :
update-mime-database %{_datadir}/mime &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/*
%{_datadir}/applications/kde4/%{name}.desktop
%{_datadir}/kde4/apps/%{name}/
%{_datadir}/doc/HTML/*/%{name}/
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/mime/packages/%{name}.xml

%changelog
* Mon May 31 2010 Alain Portal <alain.portal[AT]univ-montp2[DOT]fr> 0.6.4-1
  - New upstream version
  - Update patch0
  - Patches 1 & 2 no more needed

* Sun Jan 10 2010 Alain Portal <alain.portal[AT]univ-montp2[DOT]fr> 0.6.3-3
  - Updated %%defattr macro

* Sat Jan  9 2010 Alain Portal <alain.portal[AT]univ-montp2[DOT]fr> 0.6.3-2
  - Don't add Application category in desktop file
  - Add update-mime-database in scriptlets
  - Update gtk-update-icon-cache use in scriptlets
  - Add %%posttrans scriptlet

* Sat Jan  9 2010 Alain Portal <alain.portal[AT]univ-montp2[DOT]fr> 0.6.3-1
  - New upstream version
  - Clean spec file for kde4
  - New patch0 : l10n-fr
  - New patch1 : update french handbook
  - New patch2 : Improve desktop entries

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Sep 14 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.5.4-1
- bump to new version
- desktop patch fix

* Mon Mar 31 2008 Rex Dieter <rdieter@fedoraproject.org> 0.5.3-4
- gcc43 patch (#434062)

* Wed Mar 12 2008 Kevin Kofler <Kevin tigcc ticalc org> 0.5.3-3
- BR kdelibs3-devel instead of kdelibs-devel (#434062)

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.5.3-2
- Autorebuild for GCC 4.3

* Thu Oct 18 2007 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.5.3-1
  - New upstream version
  - Update patch 0
  - Remove patch 1 that is no more needed

* Thu Sep  6 2007 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.5.2-1
  - New upstream version
  - Update patch 1
  - Remove patch 2 that is no more needed

* Tue Aug 21 2007 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.5.1-8
  - Licence tag clarification

* Thu Jul 12 2007  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.5.1-7
  - Disable parallel building until this is fixed by upstream

* Thu Jul 12 2007  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.5.1-6
  - Try a build without parallel make support

* Thu Jul 12 2007  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.5.1-5
  - Fix date in changelog

* Thu Jul 12 2007  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.5.1-4
  - Test if gtk-update-icon-cache exists before running it

* Wed Jul 11 2007  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.5.1-3
  - Add BR gettext

* Mon Oct  2 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.5.1-2
  - Really add patch1

* Mon Oct  2 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.5.1-1
  - New upstream tarball
  - Update patch1
  - Add new patch for french doc
  - Add Application category in desktop file
  - Fix symlink: english is the only language where common directory is in
  LANG directory while for other, common is in LANG/docs directory

* Wed Sep 27 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.5-6
  - Link the good directories

* Tue Sep 26 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.5-5
  - Fix absolute symlinks

* Mon Sep 25 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.5-4
  - Install only one desktop file
  - Don't remove absolute symlinks
  - Update patch0

* Mon Sep 25 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.5-3
  - desktop-file-install don't work as I expected, so update patch0

* Mon Sep 25 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.5-2
  - Use macro for make
  - Don't own some directories
  - Update patch0 and patch1
  - Improve desktop-file installation

* Mon Sep 25 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.5-1
  - New upstream version
  - Update patch0 and patch1
  - Remove patch2 that is no more needed

* Mon Sep 25 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.4.2-4
  - Requires(post,postun) desktop-file-utils no more needed since FC-5
  - Add %%post an %%postun for icons
  - Remove absolute symlinks

* Thu Sep 21 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.4.2-3
  - Use macro for configure instead of hardcoding path
  - Use macro style instead of variable style

* Thu Sep 21 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.4.2-2
  - Add patch to fix some typo in fr.po
  - Add patch to frenchify x-kbp.desktop

* Wed Sep 20 2006 Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.4.2-1
  - Initial Fedora RPM
  - Add patch to frenchify kbackup.desktop
